Bug 877220 - Change default setting for project-wide search and replace to "search both"
Change default setting for project-wide search and replace to "search both"
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-15 19:36 EST by Hedda Peters
Modified: 2013-02-25 22:46 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.0.3-SNAPSHOT (20121127-0017)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 22:46:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hedda Peters 2012-11-15 19:36:03 EST
Description of problem:

The default setting is currently "search target". But the default setting should be "search both": 

1) Always start with less restrictive settings as defaults, then having the option of setting more restrictive search criteria. 

2) This will save a few clicks and therefore time, as often this setting it is irrelevant (i.e. searching for a German word, the setting "both" works fine - I will only get results that apear in the target anyway. Searching for an English word, the setting "both" works fine - I will only get results that appear in the source anyway. Only in special cases I'd want to specify one or the other. Currently I often need to change the default selection to get any results at all though)
Comment 1 Sean Flanigan 2012-11-18 20:22:42 EST
Makes sense.
Comment 2 David Mason 2012-11-23 01:26:32 EST
Changed in 2.0.3-SNAPSHOT and 2.1-SNAPSHOT

See https://github.com/zanata/zanata/commit/a729de11abd681456abd002034a549870c2bdc2b
Comment 3 Alex Eng 2012-11-26 22:21:48 EST
Verified in Zanata version 2.0.3-SNAPSHOT (20121127-0017)

Note You need to log in before you can comment on or make changes to this bug.